Bug 127367 - lvscan -v fails to report mapping of logical to physical extents
Summary: lvscan -v fails to report mapping of logical to physical extents
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: lvm2   
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
low
medium
Target Milestone: ---
Assignee: Zdenek Kabelac
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-07 08:46 UTC by Graham King
Modified: 2010-04-27 13:37 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 13:37:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Graham King 2004-07-07 08:46:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Entire output of lvdisplay -v is
# /usr/sbin/lvdisplay -v /dev/vgob01/lv_var
    Using logical volume(s) on command line
  --- Logical volume ---
  LV Name                /dev/vgob01/lv_var
  VG Name                vgob01
  LV UUID                iQiNiG-1HO8-aRqg-I0e0-R531-Urpn-jARgIi
  LV Write Access        read/write
  LV Status              available
  # open                 1
  LV Size                1.46 GB
  Current LE             375
  Segments               1
  Allocation             next free (default)
  Read ahead sectors     0
  Block device           253:6

According to the man page, this command should report mapping of
logical to physical extents (and did so in LVM 1).  Adding extra "-v"
options does not help.

lvdisplay --help reveals some options not documented in the man page
(nor in the man page for lvm), including --maps, which gives some of
the desired information.

Version-Release number of selected component (if applicable):
lvm2-2.00.15-2  kernel-2.6.6-1.435.2.3

How reproducible:
Always

Steps to Reproduce:
1. pick a logical volume.
2. run lvdisplay -v against it.
3.
    

Actual Results:  No mapping information (-v adds only one line to the
output)

Expected Results:  Mapping of logical to physical extents should be
displayed.

Additional info:

Comment 1 Alasdair Kergon 2004-07-16 20:50:07 UTC
--maps is the way to do this now; or lvs --segments;  will be improved
(e.g. to include reverse mapping from pv->lv) in future

Comment 2 Alasdair Kergon 2005-04-25 20:24:50 UTC
Man page example needs fixing.
Suggest also lvs -o +devices


Comment 3 Matthew Miller 2005-04-26 15:19:54 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 5 Alasdair Kergon 2010-04-27 13:37:25 UTC
PV to LV mappings are available using something like:
  pvs --segments -o+lv_name,seg_start_pe,segtype

Mentioning this on man page and closing - lvdisplay is unlikely to receive further enhancement.


Note You need to log in before you can comment on or make changes to this bug.